@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,400;0,700;1,600&display=swap");

* {
  box-sizing: border-box;
}

:root {
  --green: #27ae60;
  --gray: #f2f2f2;
  --darkest-blue: #020024;
}

body {
  font-family: "Poppins", sans-serif;
  margin: 0;
}

.title {
  font-size: 2.6rem;
  font-weight: 700;
  color: var(--green);
}

.tag-line {
  font-size: 1.625rem;
  font-weight: 700;
  margin-bottom: 2rem;
}

.info {
  font-size: 2rem;
  font-weight: 700;
}

.contact-text {
  font-size: 1.25rem;
}

.coming-soon {
  font-size: 4rem;
  font-weight: 400;
  padding-inline: 2rem;
}

.row {
  display: flex;
  height: 100vh;
}

.col-40 {
  background-color: var(--gray);
  min-width: 400px;
  flex-basis: 30%;
  position: relative;
}

.col-60 {
  background-image: url("./images/bg.jpg");
  background-size: cover;
  background-position: center center;
  flex-basis: 70%;
  display: grid;
  place-items: center;
  background-image: linear-gradient(to left, transparent, lightgray),
    url("./images/bg.jpg");
}

.col-40 > .content {
  padding: 2rem;
}

.contact {
  background-color: var(--green);
  margin-bottom: 2rem;
  padding: 1rem 2rem;
  display: flex;
  align-items: center;
  gap: 1rem;
}

.mobile-only-text {
  display: none;
}

.footer {
  width: 100%;
}

a {
  color: var(--darkest-blue);
  text-decoration: none;
  transition: all 0.25s ease-in;
}

a:hover {
  color: #000;
  text-decoration: underline;
}

footer {
  margin-top: auto;
  padding: 2rem;
  color: #333;
  position: absolute;
  bottom: 5px;
  font-size: 0.85rem;
  line-height: 0.5;
}

@media screen and (max-width: 1441px) {
  .col-40 > .content {
    max-width: 414px;
  }
}

@media screen and (max-width: 767px) {
  .row {
    height: 100%;
  }

  .col-60 {
    display: none;
  }
  .col-40 {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: stretch;
    align-items: center;
    text-align: center;
  }

  .col-40 > .content {
    padding: 1.5rem;
  }

  .contact {
    align-self: stretch;
    justify-content: center;
  }

  .mobile-only-text {
    display: block;
    font-size: 2.875rem;
    margin-block: 2rem;
  }

  footer {
    text-align: center;
    position: relative;
  }
}

@media screen and (max-height: 600px) {
  .row {
    height: 100%;
  }
  footer {
    position: relative;
  }
}
